> ## Name

> MaterialPower - 3D API material power

> ## Usage

> MaterialPower = float(shininess)

> ## Valid Enumerants

> shininess: floating point value

> ## Description

> Specifies the materials specular exponent. See the GL_SHININESS description on the OpenGL glMaterial manual page for details. See the D3DRS_EMISSIVEMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the MaterialPower state to float(0).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialShininess, MaterialSpecular, SpecularMaterialSource